2017-11-19 14:24 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003505Kali Linux[All Projects] New Tool Requestspublic2017-06-16 09:49
Reporterg0tmi1k 
Assigned Tosbrun 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2017.2 
Summary0003505: Add Secure Socket Funneling v2.1.0
DescriptionName: Secure Socket Funneling
Version: 2.1.0
Homepage: https://securesocketfunneling.github.io/ssf/
Download: https://github.com/securesocketfunneling/ssf/archive/2.1.0.tar.gz
LICENSE: https://github.com/securesocketfunneling/ssf/blob/develop/LICENSE.txt
Description: Secure Socket Funneling (SSF) is a network tool and toolkit.

It provides simple and efficient ways to forward data from multiple sockets (TCP or UDP) through a single secure TLS link to a remote computer.

SSF is cross platform (Windows, Linux, OSX) and shipped as standalone executables.

Features:

Local and remote TCP port forwarding
Local and remote UDP port forwarding
Local and remote SOCKS server
Local and remote shell through socket
Native relay protocol
TLS connection with strongest cipher-suites
Additional InformationCould we also get the windows binary added to /usr/share/windows-binary/
Attached Files

-Relationships
+Relationships

-Notes

~0006739

sbrun (manager)

package secure-socket-funneling version 2.2.0-0kali2 is in kali-rolling (for i386 and amd64). For now it doesn't compile on ARM architecture.

The package secure-socket-funneling-windows-binaries provides the windows binaries.
+Notes

-Issue History
Date Modified Username Field Change
2016-08-29 19:40 g0tmi1k New Issue
2017-05-09 16:18 sbrun Assigned To => sbrun
2017-05-09 16:18 sbrun Status new => assigned
2017-05-23 12:26 sbrun Note Added: 0006739
2017-06-16 09:49 g0tmi1k Status assigned => resolved
2017-06-16 09:49 g0tmi1k Resolution open => fixed
2017-06-16 09:49 g0tmi1k Fixed in Version => 2017.2
+Issue History